(function () {

    respecConfig.localBiblio = {

        // FIDO Alliance Documents

        "FIDOAppIDAndFacets":
        "D. Balfanz, B. Hill, R. Lindemann, D. Baghdasaryan, <cite>FIDO AppID and Facets v1.0</cite>. FIDO Alliance Proposed Standard. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-appid-and-facets-v1.1-id-20170202.html'>fido-appid-and-facets-v1.1-id-20170202.html</a><br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-appid-and-facets-v1.1-id-20170202.pdf'>fido-appid-and-facets-v1.1-id-20170202.pdf</a>",

        "FIDOEcdaaAlgorithm":
        "R. Lindemann, J. Camenisch, M. Drijvers, A. Edgington, A. Lehmann, R. Urian, <cite>FIDO ECDAA Algorithm</cite>. FIDO Alliance Implementation Draft. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-ecdaa-v1.1-id-20170202.html'>fido-ecdaa-v1.1-id-20170202.html</a> <br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-ecdaa-v1.1-id-20170202.pdf'>fido-ecdaa-v1.1-id-20170202.pdf</a>.",

        "FIDOGlossary":
        "R. Lindemann, D. Baghdasaryan, B. Hill, J. Hodges, <cite>FIDO Technical Glossary</cite>. FIDO Alliance Implementation Draft. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-glossary-v1.1-id-20170202.html'>fido-glossary-v1.1-id-20170202.html</a> <br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-glossary-v1.1-id-20170202.pdf'>fido-glossary-v1.1-id-20170202.pdf</a>",

        "FIDOSecRef":
        "R. Lindemann, D. Baghdasaryan, B. Hill, <cite>FIDO Security Reference</cite>. FIDO Alliance Implementation Draft. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-security-ref-v1.1-id-20170202.html'>fido-security-ref-v1.1-id-20170202.html</a><br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-security-ref-v1.1-id-20170202.pdf'>fido-security-ref-v1.1-id-20170202.pdf</a>",

        "FIDORegistry":
        "R. Lindemann, D. Baghdasaryan, B. Hill, <cite>FIDO Registry of Predefined Values</cite>. FIDO Alliance Implementation Draft. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-registry-v1.1-id-20170202.html'>fido-registry-v1.1-id-20170202.html</a> <br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-registry-v1.1-id-20170202.pdf'>fido-registry-v1.1-id-20170202.pdf</a>",

        "FIDOMetadataService":
        "R. Lindemann, B. Hill, D. Baghdasaryan, <cite>FIDO Metadata Service v1.0</cite>. FIDO Alliance Implementation Draft. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-metadata-service-v1.1-id-20170202.html'>fido-metadata-service-v1.1-id-20170202.html</a> <br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-metadata-service-v1.1-id-20170202.pdf'>fido-metadata-service-v1.1-id-20170202.pdf</a>",

        "FIDOMetadataStatement":
        "B. Hill, D. Baghdasaryan, J. Kemp, <cite>FIDO Metadata Statements v1.0</cite>. FIDO Alliance Implementation Draft. URLs: <br>HTML:  <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-metadata-statement-v1.1-id-20170202.html'>fido-metadata-statements.html</a><br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-metadata-statements.pdf'>fido-metadata-statements.pdf</a>",

        "UAFAPDU":
        "N. Bak, V. Galindo, R. Lindemann, U. Martini, C. Edwards, J. Hodges, <cite>FIDO UAF APDU</cite>. FIDO Alliance Implementation Draft. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-apdu-v1.1-id-20170202.html'>fido-uaf-apdu-v1.1-id-20170202.html</a><br>PDF:  <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-apdu-v1.1-id-20170202.pdf'>fido-uaf-apdu-v1.1-id-20170202.pdf</a>",

        "UAFASM":
        "D. Baghdasaryan, J. Kemp, R. Lindemann, B. Hill, R. Sasson, <cite>FIDO UAF Authenticator-Specific Module API</cite>. FIDO Alliance Implementation Draft. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-asm-api-v1.1-id-20170202.html'>fido-uaf-asm-api-v1.1-id-20170202.html</a><br>PDF:  <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-asm-api-v1.1-id-20170202.pdf'>fido-uaf-asm-api-v1.1-id-20170202.pdf</a>",

        "UAFAuthnrCommands":
        "D. Baghdasaryan, J. Kemp, R. Lindemann, R. Sasson, B. Hill, <cite>FIDO UAF Authenticator Commands v1.0</cite>. FIDO Alliance Implementation Draft. URLs: <br>HTML:  <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-authnr-cmds-v1.1-id-20170202.html'>fido-uaf-authnr-cmds-v1.1-id-20170202.html</a><br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-authnr-cmds-v1.1-id-20170202.pdf'>fido-uaf-authnr-cmds-v1.1-id-20170202.pdf</a>",

        "UAFAuthnrMetadata":
        "B. Hill, D. Baghdasaryan, J. Kemp, <cite>FIDO UAF Authenticator Metadata Statements v1.0</cite>. FIDO Alliance Implementation Draft. URLs: <br>HTML:  <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-authnr-metadata.html'>fido-uaf-authnr-metadata.html</a><br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-authnr-metadata.pdf'>fido-uaf-authnr-metadata.pdf</a>",

        "UAFAppAPIAndTransport":
        "B. Hill, D. Baghdasaryan, B. Blanke, <cite>FIDO UAF Application API and Transport Binding Specification</cite>. FIDO Alliance Implementation Draft. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-client-api-transport-v1.1-id-20170202.html'>fido-uaf-client-api-transport-v1.1-id-20170202.html</a><br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-client-api-transport-v1.1-id-20170202.pdf'>fido-uaf-client-api-transport-v1.1-id-20170202.pdf</a>",

	// Note this is a duplicate.  Please always use [[FIDOEcdaaAlgorithm]]
        "UAFEcdaaAttestation":
        "R. Lindemann, J. Camenisch, M. Drijvers, A. Edgington, A. Lehmann, R. Urian, <cite>FIDO ECDAA Algorithm</cite>. FIDO Alliance Implementation Draft. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-ecdaa-v1.1-id-20170202.html'>fido-ecdaa-v1.1-id-20170202.html</a> <br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-ecdaa-v1.1-id-20170202.pdf'>fido-ecdaa-v1.1-id-20170202.pdf</a>.",

        "UAFMetadataService":
        "R. Lindemann, B. Hill, D. Baghdasaryan, <cite>FIDO UAF Metadata Service v1.0</cite>. FIDO Alliance Proposed Standard. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-metadata-service.html'>fido-uaf-metadata-service.html</a> <br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-metadata-service.pdf'>fido-uaf-metadata-service.pdf</a>",

        "UAFArchOverview":
        "S. Machani, R. Philpott, S. Srinivas, J. Kemp, J. Hodges, <cite>FIDO UAF Architectural Overview</cite>. FIDO Alliance Proposed Standard. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-overview-v1.1-id-20170202.html'>fido-uaf-overview-v1.1-id-20170202.html</a> <br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-overview-v1.1-id-20170202.pdf'>fido-uaf-overview-v1.1-id-20170202.pdf</a>",

        "UAFProtocol":
        "R. Lindemann, D. Baghdasaryan, E. Tiffany, D. Balfanz, B. Hill, J. Hodges, <cite>FIDO UAF Protocol Specification v1.0</cite>. FIDO Alliance Proposed Standard. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-protocol-v1.1-id-20170202.html'>fido-uaf-protocol-v1.1-id-20170202.html</a> <br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-protocol-v1.1-id-20170202.pdf'>fido-uaf-protocol-v1.1-id-20170202.pdf</a>",

        "UAFRegistry":
        "R. Lindemann, D. Baghdasaryan, B. Hill, <cite>FIDO UAF Registry of Predefined Values</cite>. FIDO Alliance Proposed Standard. URLs: <br>HTML: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-reg-v1.1-id-20170202.html'>fido-uaf-reg-v1.1-id-20170202.html</a> <br>PDF: <a href='https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-reg-v1.1-id-20170202.pdf'>fido-uaf-reg-v1.1-id-20170202.pdf</a>",

        "U2FJSAPI":
        "D. Balfanz, A. Birgisson, J. Lang, <a href='http://fidoalliance.org/specs/fido-u2f-javascript-api-v1.0-rd-20140209.pdf'><cite>FIDO U2F Javascript API v1.0</cite></a>. FIDO Alliance Review Draft (Work in progress.) URL:  <a href='http://fidoalliance.org/specs/fido-u2f-javascript-api-v1.0-rd-20140209.pdf'>http://fidoalliance.org/specs/fido-u2f-javascript-api-v1.0-rd-20140209.pdf</a>",

        "U2FRawMsgs":
        "D. Balfanz, <a href='http://fidoalliance.org/specs/fido-u2f-raw-message-formats-v1.0-rd-20140209.pdf'><cite>FIDO U2F Raw Message Formats v1.0</cite></a>. FIDO Alliance Review Draft (Work in progress.) URL:  <a href='http://fidoalliance.org/specs/fido-u2f-raw-message-formats-v1.0-rd-20140209.pdf'>http://fidoalliance.org/specs/fido-u2f-raw-message-formats-v1.0-rd-20140209.pdf</a>",

        "U2FOverview":
        "S. Srinivas, D. Balfanz, E. Tiffany, <a href='http://fidoalliance.org/specs/fido-u2f-overview-v1.0-rd-20140209.pdf'><cite>FIDO U2F Overview v1.0</cite></a>. FIDO Alliance Review Draft (Work in progress.) URL:  <a href='http://fidoalliance.org/specs/fido-u2f-overview-v1.0-rd-20140209.pdf'>http://fidoalliance.org/specs/fido-u2f-overview-v1.0-rd-20140209.pdf</a>",

        "U2FAppFacet":
        "D. Balfanz, <a href='http://fidoalliance.org/specs/fido-u2f-application-isolation-through-facet-identification-v1.0-rd-20140209.pdf'><cite>FIDO U2F Application Isolation Through Facet Identification v1.0</cite></a>. FIDO Alliance Review Draft (Work in progress.) URL:  <a href='http://fidoalliance.org/specs/fido-u2f-application-isolation-through-facet-identification-v1.0-rd-20140209.pdf'>http://fidoalliance.org/specs/fido-u2f-application-isolation-through-facet-identification-v1.0-rd-20140209.pdf</a>",

        "U2FImplCons":
        "D. Balfanz, <a href='http://fidoalliance.org/specs/fido-u2f-implementation-considerations-v1.0-rd-20140209.pdf'><cite>FIDO U2F Implementation Considerations v1.0</cite></a>. FIDO Alliance Review Draft (Work in progress.) URL:  <a href='http://fidoalliance.org/specs/fido-u2f-implementation-considerations-v1.0-rd-20140209.pdf'>http://fidoalliance.org/specs/fido-u2f-implementation-considerations-v1.0-rd-20140209.pdf</a>",

        "U2FHIDHeader":
        "J. Ehrensvard, <a href='https://github.com/fido-alliance/u2f-specs/blob/master/inc/u2f_hid.h'><cite>FIDO U2F HID Header Files v1.0</cite></a>. FIDO Alliance Review Draft (Work in progress.) URL:  <a href='https://github.com/fido-alliance/u2f-specs/blob/master/inc/u2f_hid.h'>https://github.com/fido-alliance/u2f-specs/blob/master/inc/u2f_hid.h</a>",

        "U2FHeader" :
        "J. Ehrensvard, <a href='https://github.com/fido-alliance/u2f-specs/blob/master/inc/u2f.h'><cite>FIDO U2F HID Header Files v1.0</cite></a>. FIDO Alliance Review Draft (Work in progress.) URL:  <a href='https://github.com/fido-alliance/u2f-specs/blob/master/inc/u2f.h'>https://github.com/fido-alliance/u2f-specs/blob/master/inc/u2f.h</a>",


        "FIDOAllowedCrypto": {
            authors: [ "Dr. Joshua E. Hill", "Douglas Biggs"],
            date: "August 2016",
            publisher: "FIDO Alliance",
            status: "Draft",
            title: "FIDO Authenticator Allowed Cryptography List",
            href: "https://github.com/fido-alliance/security-requirements/blob/master/fido-authenticator-allowed-cryptography-list.html"
        },

        "FIDORestrictedOperatingEnv": {
            authors: [ "Laurence Lundblade", "Meagan Karlsson"],
            date: "August 2016",
            publisher: "FIDO Alliance",
            status: "Draft",
            title: "FIDO Authenticator Allowed Restricted Operating Environments List",
            href: "https://github.com/fido-alliance/security-requirements/blob/master/fido-authenticator-allowed-restricted-operating-environments-list.html"
        },

        "FIDOAuthenticatorSecurityRequirements": {
            authors: [ "Dr. Joshua E. Hill", "Douglas Biggs"],
            date: "August 2016",
            publisher: "FIDO Alliance",
            status: "Draft",
            title: "FIDO Authenticator Security Requirements",
            href: "https://github.com/fido-alliance/security-requirements/blob/master/fido-authenticator-level-1-security-requirements.html"
        },

        "FIDOBiometricsRequirements": {
            authors: [ "Meagan Karlsson"],
            date: "June 2017",
            publisher: "FIDO Alliance",
            status: "Draft",
            title: "FIDO Biometrics Requirements",
            href: "https://github.com/fido-alliance/biometrics-requirements/blob/gh-pages/index.html"
        },

        "WebAuthn": {
            authors: [ "Vijay Bharadwaj", "Hubert Le Van Gong", "Dirk Balfanz", "Alexis Czeskis", "Arnar Birgisson",
		     "Jeff Hodges", "Michael B. Jones", "Rolf Lindemann", "J. C. Jones"],
            date: "September 2016",
            publisher: "W3C",
            status: "Draft",
            title: "Web Authentication: An API for accessing Scoped Credentials",
            href: "https://www.w3.org/TR/webauthn/"
        },

        "WebAuthn-Registries": {
            authors: [ "Jeff Hodges", "G. Mandyam", "Michael B. Jones"],
            date: "March 24, 2017",
            publisher: "IETF",
            status: "Draft",
            title: "Registries for Web Authentication (WebAuthn)",
            href: "https://tools.ietf.org/html/draft-hodges-webauthn-registries"
        },

	
        // External Documents

        "ANDROID":
        "<a href='http://developer.android.com/'><cite>The Android&trade; Operating System</cite></a>. Google, Inc., the Open Handset Alliance and the Android Open Source Project (Work in progress) URL: <a href='http://developer.android.com/'>http://developer.android.com/</a>",

        "AndroidUnlockPattern":
        "<a href='http://www.sinustrom.info/2012/05/21/android-unlock-pattern-security-analysis/'><cite>Android Unlock Pattern Security Analysis</cite></a>. Sinustrom.info web site. URL: <a href='http://www.sinustrom.info/2012/05/21/android-unlock-pattern-security-analysis/'>http://www.sinustrom.info/2012/05/21/android-unlock-pattern-security-analysis/</a>",

        "AndroidAppManifest":
        "<a href='http://developer.android.com/guide/topics/manifest/manifest-intro.html'><cite>Android App Manifest</cite></a>. Google, Inc., the Open Handset Alliance and the Android Open Source Project (Work in progress) URL: <a href='http://developer.android.com/guide/topics/manifest/manifest-intro.html'>http://developer.android.com/guide/topics/manifest/manifest-intro.html</a>",

        "Android5Changes":
        "<a href='http://developer.android.com/about/versions/android-5.0-changes.html'><cite>Android 5.0 Changes</cite></a>. Google, Inc., the Open Handset Alliance and the Android Open Source Project (Work in progress) URL: <a href='http://developer.android.com/about/versions/android-5.0-changes.html'>http://developer.android.com/about/versions/android-5.0-changes.html</a>",

        "AnonTerminology":
        "<a href='http://dud.inf.tu-dresden.de/literatur/Anon_Terminology_v0.34.pdf'><cite>\"Anonymity, Unlinkability, Unobservability, Pseudonymity, and Identity Management - A Consolidated Proposal for Terminology\", Version 0.34,</cite></a>. A. Pfitzmann and M. Hansen, August 2010. URL: <a href='http://dud.inf.tu-dresden.de/literatur/Anon_Terminology_v0.34.pdf'>http://dud.inf.tu-dresden.de/literatur/Anon_Terminology_v0.34.pdf</a>",

        "ANSI-X9-52": 
        "<cite>Triple Data Encryption Algorithm Modes of Operation</cite>, July 29, 1998, ANSI X9.52-1998",

        "ANZ-2013": 
        "Tolga Acar, Lan Nguyen and Greg Zaverucha, <a href='http://eprint.iacr.org/2013/667.pdf'><cite>A TPM Diffie-Hellman Oracle</cite></a>, October 18, 2013., Microsoft Research, Redmond, WA. URL: <a href='http://eprint.iacr.org/2013/667.pdf'>http://eprint.iacr.org/2013/667.pdf</a>",

        "APK-Signing":
        "<a href='http://developer.android.com/tools/publishing/app-signing.html'><cite>Signing Your Applications</cite></a>.The Android&trade; Operating System</cite></a>. Google, Inc., the Open Handset Alliance and the Android Open Source Project (Accessed 11-March-2014) URL: <a href='http://developer.android.com/tools/publishing/app-signing.html'>http://developer.android.com/tools/publishing/app-signing.html</a>",

        "BarNae-2006" : 
        "Paulo S. L. M. Barreto and Michael Naehrig, <a href='http://research.microsoft.com/pubs/118425/pfcpo.pdf'><cite>Pairing-Friendly Elliptic Curves of Prime Order</cite></a>, 2006, URL: <a href='http://research.microsoft.com/pubs/118425/pfcpo.pdf'>http://research.microsoft.com/pubs/118425/pfcpo.pdf</a>",

        "BFGSW-2011" :
        "D. Bernhard, G. Fuchsbauer, E. Ghadafi, N. P. Smart and B. Warinschi, <a href='http://eprint.iacr.org/2011/658.pdf'><cite>Anonymous attestation with user-controlled linkability</cite></a>, 2011, URL: <a href='http://eprint.iacr.org/2011/658.pdf'>http://eprint.iacr.org/2011/658.pdf</a>",

        "BriCheLi2012" :
        "E. Brickell, L. Chen, and J. Li, <a href='http://www.intrust2012.com/Talks/5-3.pdf'><cite>A static diffie-hellman attack on several direct anonymous schemes</cite></a>, InTrust 2012 Talk, URL: <a href='http://www.intrust2012.com/Talks/5-3.pdf'>http://www.intrust2012.com/Talks/5-3.pdf</a>",

        "BriCamChe2004-DAA": 
        "Ernie Brickell, Intel Corporation; Jan Camenisch, IBM Research; Liqun Chen, HP Laboratories, <a href='http://eprint.iacr.org/2004/205.pdf'><cite>Direct Anonymous Attestation</cite></a>, 2004, URL: <a href='http://eprint.iacr.org/2004/205.pdf'>http://eprint.iacr.org/2004/205.pdf</a>",

        "BundleID":
        "<a href='https://developer.apple.com/library/ios/documentation/IDEs/Conceptual/AppDistributionGuide/ConfiguringYourApp/ConfiguringYourApp.html'><cite>\"Configuring your Xcode Project for Distribution\", section \"About Bundle IDs\",</cite></a>. Apple, Inc.  Accessed March 11, 2014. URL: <a href='https://developer.apple.com/library/ios/documentation/IDEs/Conceptual/AppDistributionGuide/ConfiguringYourApp/ConfiguringYourApp.html'>https://developer.apple.com/library/ios/documentation/IDEs/Conceptual/AppDistributionGuide/ConfiguringYourApp/ConfiguringYourApp.html</a>",

	"Arthur-Challener-2015":
	"Will Arthur and David Challener with Kenneth Goldman, <a href='http://www.apress.com/9781430265832'><cite>A Practical Guide to TPM 2.0: Using the Trusted Platform Module in the New Age of Security</cite></a>, 2014, URL: <a href='http://www.apress.com/9781430265832'>http://www.apress.com/9781430265832</a>",

        "ChannelID":
        "D. Balfanz <a href='http://tools.ietf.org/html/draft-balfanz-tls-channelid'><cite>Transport Layer Security (TLS) Channel IDs</cite></a>. (Work In Progress) URL: <a href='http://tools.ietf.org/html/draft-balfanz-tls-channelid'>http://tools.ietf.org/html/draft-balfanz-tls-channelid</a>",

        "ChePagSma2009-ECDAA" : 
        "Liqun Chen, Dan Page and Nigel P. Smart, <a href='http://eprint.iacr.org/2009/598.pdf'><cite>On the Design and Implementation of an Efficient DAA Scheme</cite></a>, 2009, URL: <a href='http://eprint.iacr.org/2009/598.pdf'>http://eprint.iacr.org/2009/598.pdf</a>",

         "CheLi2013-ECDAA" : 
         "Liqun Chen, HP Laboratories and Jiangtao Li, Intel Corporation, <a href='http://dx.doi.org/10.1145/2508859.2516729'><cite>Flexible and Scalable Digital Signatures in TPM 2.0</cite></a>, 2013. URL: <a href='http://dx.doi.org/10.1145/2508859.2516729'>http://dx.doi.org/10.1145/2508859.2516729</a>",

        "CLICKJACKING":
        "D. Lin-Shung Huang, C. Jackson, A. Moshchuk, H. Wang, S. Schlechter <a href='https://www.usenix.org/system/files/conference/usenixsecurity12/sec12-final39.pdf'><cite>Clickjacking: Attacks and Defenses</cite></a>. USENIX, July 2012, URL: <a href='https://www.usenix.org/system/files/conference/usenixsecurity12/sec12-final39.pdf'>https://www.usenix.org/system/files/conference/usenixsecurity12/sec12-final39.pdf</a>",

        "CTRMode":
        "H. Lipmea, P. Rogaway, D. Wagner, <a href='http://csrc.nist.gov/groups/ST/toolkit/BCM/documents/proposedmodes/ctr/ctr-spec.pdf'><cite>Comments to NIST concerning AES Modes of Operation: CTR-Mode Encryption</cite></a>. National Institute of Standards and Technology, accessed March 11, 2014, URL: <a href='http://csrc.nist.gov/groups/ST/toolkit/BCM/documents/proposedmodes/ctr/ctr-spec.pdf'>http://csrc.nist.gov/groups/ST/toolkit/BCM/documents/proposedmodes/ctr/ctr-spec.pdf</a>",

        "CommonCriteria":
        "<a href='http://www.commoncriteriaportal.org/cc/'><cite>CommonCriteria Publications</cite></a>. CCRA Members, Work in progress, accessed March 2014. URL: <a href='http://www.commoncriteriaportal.org/cc/'>http://www.commoncriteriaportal.org/cc/</a>",

        "Coron99":
        "J. Coron and D. Naccache <a href='http://www.jscoron.fr/publications/universal.pdf'><cite>An accurate evaluation of Maurer's universal test</cite></a>. LNCS 1556, February 1999, URL: <a href='http://www.jscoron.fr/publications/universal.pdf'>http://www.jscoron.fr/publications/universal.pdf</a>",

    "DevScoDah2007":
    "Augusto Jun Devegili, Michael Scott, and Ricardo Dahab <a href='https://eprint.iacr.org/2007/390.pdf'><cite>Implementing Cryptographic Pairings over Barreto-Naehrig Curves</cite></a>. 2007, URL: <a href='https://eprint.iacr.org/2007/390.pdf'>https://eprint.iacr.org/2007/390.pdf</a>",

        "ECDSA-ANSI":
        "<a href='http://webstore.ansi.org/RecordDetail.aspx?sku=ANSI+X9.62%3A2005'><cite>Public Key Cryptography for the Financial Services Industry: The Elliptic Curve Digital Signature Algorithm (ECDSA), ANSI X9.62-2005</cite></a>. American National Standards Institute, November 2005, URL: <a href='http://webstore.ansi.org/RecordDetail.aspx?sku=ANSI+X9.62%3A2005'>http://webstore.ansi.org/RecordDetail.aspx?sku=ANSI+X9.62%3A2005</a>",

        "FIDO-DAA-Security-Proof":
	{
	    authors: ["Jan Camenisch", "Manu Drijvers", "Anja Lehmann"],
	    date: "2015",
	    publisher: "Cryptology ePrint Archive",
	    title: "Universally Composable Direct Anonymous Attestation",
	    href: "https://eprint.iacr.org/2015/1246"
	},

        "FIPS140-2":
        "<a href='http://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf'><cite>FIPS PUB 140-2: Security Requirements for Cryptographic Modules</cite></a>. National Institute of Standards and Technology, May 2001, URL: <a href='http://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf'>http://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf</a>",

        "FIPS180-4":
        "<a href='http://csrc.nist.gov/publications/fips/fips180-4/fips-180-4.pdf'><cite>FIPS PUB 180-4: Secure Hash Standard (SHS)</cite></a>. National Institute of Standards and Technology, March 2012, URL: <a href='http://csrc.nist.gov/publications/fips/fips180-4/fips-180-4.pdf'>http://csrc.nist.gov/publications/fips/fips180-4/fips-180-4.pdf</a>",

        "FIPS186-4":
        "<a href='http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf'><cite>FIPS PUB 186-4: Digital Signature Standard (DSS)</cite></a>. National Institute of Standards and Technology, July 2013, URL: <a href='http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf'>http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf</a>",

        "FIPS197":
        "<a href='http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf'><cite>FIPS PUB 197: Specification for the Advanced Encryption Standard (AES)</cite></a>. National Institute of Standards and Technology, November 2001, URL: <a href='http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf'>http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf</a>",

        "FIPS198-1":
        "<a href='http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf'><cite>FIPS PUB 198-1: The Keyed-Hash Message Authentication Code (HMAC)</cite></a>. National Institute of Standards and Technology, July 2008, URL: <a href='http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf'>http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf</a>",

        "FIPS202":
        "<a href='http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf'><cite>FIPS PUB 202: SHA-3 Standard: Permutation-Based Hash and Extendable-Output Functions</cite></a>. National Institute of Standards and Technology, August 2015, URL: <a href='http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf'>http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf</a>",


        "HTML5": {
            authors: [ "I. Hickson", "R.Berjon", "S. Faulkner", "T. Leithead", "E. D. Navara", "E. O'Connor", "S. Pfeiffer" ],
            date: "28 October 2014",
            publisher: "W3C",
            status: "W3C Recommendation",
            id: "HTML5",
            title: "HTML5: A vocabulary and associated APIs for HTML and XHTML",
            href: "http://www.w3.org/TR/html5/"
        },

        "iOS":
        "<a href='https://developer.apple.com/devcenter/ios/index.action'><cite>iOS Dev Center</cite></a> Apple, Inc. (Accessed March 11, 2014) URL: <a href='https://developer.apple.com/devcenter/ios/index.action'>https://developer.apple.com/devcenter/ios/index.action</a>",

        "iPhonePasscodes":
        "<a href='http://danielamitay.com/blog/2011/6/13/most-common-iphone-passcodes'>Most Common iPhone Passcodes</a>, Daniel Amitay (Accessed July 11, 2014) URL: <a href='http://danielamitay.com/blog/2011/6/13/most-common-iphone-passcodes'>http://danielamitay.com/blog/2011/6/13/most-common-iphone-passcodes</a>",

        "ISO15946-5":
        "ISO/IEC 15946-5, <a href='https://webstore.iec.ch/publication/10468'><cite>Information Technology - Security Techniques - Cryptographic techniques based on elliptic curves - Part 5: Elliptic curve generation</cite></a>, URL: <a href='https://webstore.iec.ch/publication/10468'>https://webstore.iec.ch/publication/10468</a>",

        "ISO19795-1":
        "ISO/IEC JTC 1/SC 37, <a href='http://www.iso.org/iso/catalogue_detail.htm?csnumber=41447'><cite>Information Technology - Biometric peformance testing and reporting - Part 1: Principles and framework</cite></a>, URL: <a href='http://www.iso.org/iso/catalogue_detail.htm?csnumber=41447'>http://www.iso.org/iso/catalogue_detail.htm?csnumber=41447</a>",

        "ISO30107-1":
        "ISO/IEC JTC 1/SC 37, <a href='http://www.iso.org/iso/catalogue_detail.htm?csnumber=53227'><cite>Information Technology - Biometrics - Presentation attack detection - Part 1: Framework</cite></a>, URL: <a href='http://www.iso.org/iso/catalogue_detail.htm?csnumber=53227'>http://www.iso.org/iso/catalogue_detail.htm?csnumber=53227</a>",

        "ISOBiometrics":
        "Project Editor, <a href='http://standards.iso.org/ittf/PubliclyAvailableStandards/c055194_ISOIEC_2382-37_2012.zip'><cite>Harmonized Biometric Vocabulary</cite></a>. ISO/IEC 2382-37. 15 December 2012, URL: <a href='http://standards.iso.org/ittf/PubliclyAvailableStandards/c055194_ISOIEC_2382-37_2012.zip'>http://standards.iso.org/ittf/PubliclyAvailableStandards/c055194_ISOIEC_2382-37_2012.zip</a>",

        "ITU-X690-2008":
        "<a href='http://www.itu.int/rec/T-REC-X.690-200811-I/en'><cite>X.690: Information technology - ASN.1 encoding rules: Specification of Basic Encoding Rules (BER), Canonical Encoding Rules (CER) and Distinguished Encoding Rules (DER), (T-REC-X.690-200811)</cite></a>. International Telecommunications Union, November 2008 URL: <a href='http://www.itu.int/rec/T-REC-X.690-200811-I/en'>http://www.itu.int/rec/T-REC-X.690-200811-I/en</a>",
	"JSON": 
	"<cite>The JSON Data Interchange Format</cite>, (ECMA-404, ecma International), October 2013, URL: <a href='http://ecma-international.org/publications/files/ECMA-ST/ECMA-404.pdf'>ECMA-404.pdf</a>",

        "JWS": {
            authors: [ "M. Jones", "J. Bradley", "N. Sakimura" ],
            date: "May 2015",
            publisher: "IETF",
            status: "RFC",
            id: "RFC7515",
            title: "JSON Web Signature (JWS)",
            href: "https://tools.ietf.org/html/rfc7515"
        },

        "JWE": {
            authors: [ "M. Jones", "J. Hildebrand" ],
            date: "May 2015",
            publisher: "IETF",
            status: "RFC",
            id: "RFC7516",
            title: "JSON Web Encryption (JWE)",
            href: "https://tools.ietf.org/html/rfc7516"
        },

        "JWK": {
            authors: [ "M. Jones" ],
            date: "May 2015",
            publisher: "IETF",
            status: "RFC",
            id: "RFC7517",
            title: "JSON Web Key (JWK)",
            href: "https://tools.ietf.org/html/rfc7517"
        },

        "JWA": {
            authors: [ "M. Jones" ],
            date: "May 2015",
            publisher: "IETF",
            status: "RFC",
            id: "RFC7518",
            title: "JSON Web Algorithms (JWA)",
            href: "https://tools.ietf.org/html/rfc7518"
        },

        "JWT": {
            authors: [ "M. Jones", "J. Bradley", "N. Sakimura" ],
            date: "May 2015",
            publisher: "IETF",
            status: "RFC",
            id: "RFC7519",
            title: "JSON Web Token (JWT)",
            href: "https://tools.ietf.org/html/rfc7519"
        },

        "GeoJSON": {
            title: "The GeoJSON Format Specification",
            href: "http://geojson.org/geojson-spec.html"
        },

        "MoreTopWorstPasswords":
        "<a href='https://xato.net/passwords/more-top-worst-passwords/'>10000 Top Passwords</a>, Mark Burnett (Accessed July 11, 2014) URL: <a href='https://xato.net/passwords/more-top-worst-passwords/'>https://xato.net/passwords/more-top-worst-passwords/</a>",

        "NSTCBiometrics":
        "NSTC Subcommittee on Biometrics, <a href='http://biometrics.gov/Documents/Glossary.pdf'><cite>Biometrics Glossary</cite></a>. National Science and Technology Council. 14 September 2006, URL: <a href='http://biometrics.gov/Documents/Glossary.pdf'>http://biometrics.gov/Documents/Glossary.pdf</a>",

        "OpenIDConnect":
        "<a href='http://openid.net/connect/'><cite>OpenID Connect</cite></a>. OpenID Foundation (Work in Progress) URL: <a href='http://openid.net/connect/'>http://openid.net/connect/</a>",

        "OWASP2013":
        "<a href='http://owasptop10.googlecode.com/files/OWASP%20Top%2010%20-%202013.pdf'><cite>OWASP 2013</cite></a>. OWASP Top 10 - 2013. The Ten Most Critical Web Application Security Risks",

        "PasswordAuthSchemesKeyIssues":
        "Chwei-Shyong Tsai, Cheng-Chi Lee, and Min-Shiang Hwang, <a href='http://ijns.femto.com.tw/contents/ijns-v3-n2/ijns-2006-v3-n2-p101-115.pdf'><cite>Password Authentication Schemes: Current Status and Key Issues</cite></a>, International Journal of Network Security, Vol.3, No.2, PP.101–115, Sept. 2006, URL: <a href='http://ijns.femto.com.tw/contents/ijns-v3-n2/ijns-2006-v3-n2-p101-115.pdf'>http://ijns.femto.com.tw/contents/ijns-v3-n2/ijns-2006-v3-n2-p101-115.pdf</a>",

        "QuestToReplacePasswords":
        "Joseph Bonneau, Cormac Herley, Paul C. van Oorschot and Frank Stajano, <a href='http://research.microsoft.com/pubs/161585/QuestToReplacePasswords.pdf'>The Quest to Replace Passwords: A Framework for Comparative Evaluation of Web Authentication Schemes</a>, Microsoft Research, Carleton University and University of Cambridge, March 2012, URL: <a href='http://research.microsoft.com/pubs/161585/QuestToReplacePasswords.pdf'>http://research.microsoft.com/pubs/161585/QuestToReplacePasswords.pdf</a>",

        "RFC1321":
        "R. Rivest, <a href='http://www.ietf.org/rfc/rfc1321.txt'><cite>The MD5 Message-Digest Algorithm (RFC 1321)</cite></a>, IETF, April 1992, URL: <a href='http://www.ietf.org/rfc/rfc1321.txt'>http://www.ietf.org/rfc/rfc1321.txt</a>",

        "RFC2049":
        "N. Freed, N. Borenstein, <a href='http://www.ietf.org/rfc/rfc2049.txt'><cite>Multipurpose Internet Mail Extensions (MIME) Part Five: Conformance Criteria and Examples (RFC 2049)</cite></a>, IETF, November 1996, URL: <a href='http://www.ietf.org/rfc/rfc2049.txt'>http://www.ietf.org/rfc/rfc2049.txt</a>",
        
        "RFC2119": {
            authors: [ "S. Bradner" ],
            date: "March 1997",
            publisher: "IETF",
            status: "Best Current Practice",
            id: "RFC2119",
            title: "Key words for use in RFCs to Indicate Requirement Levels",
            href: "https://tools.ietf.org/html/rfc2119"
        },
        
        "RFC2246":
        "T. Dierks, E. Rescorla, <a href='http://www.ietf.org/rfc/rfc2246.txt'><cite>The TLS Protocol Version 1.0</cite></a>, IETF, January 1999, URL: <a href='http://www.ietf.org/rfc/rfc2246.txt'>http://www.ietf.org/rfc/rfc2246.txt</a>",
        "RFC4086":
        "D. Eastlake 3rd, J. Schiller, S. Crocker <a href='http://www.ietf.org/rfc/rfc4086.txt'><cite>Randomness Requirements for Security (RFC 4086)</cite></a>, IETF, June 2005, URL: <a href='http://www.ietf.org/rfc/rfc4086.txt'>http://www.ietf.org/rfc/rfc4086.txt</a>",

        "RFC4120":
        "C. Neuman, T. Yu, S. Hartman, K. Raeburn, <a href='http://www.ietf.org/rfc/rfc4120.txt'><cite>The Kerberos Network Authentication Protocol (V5) (RFC 4120)</cite></a>, IETF, July 2005, URL: <a href='http://www.ietf.org/rfc/rfc4120.txt'>http://www.ietf.org/rfc/rfc4120.txt</a>",
        "RFC4346":
        "T. Dierks, E. Rescorla, <a href='http://www.ietf.org/rfc/rfc4346.txt'><cite>The Transport Layer Security (TLS) Protocol Version 1.1</cite></a>, IETF, April 2006, URL: <a href='http://www.ietf.org/rfc/rfc4346.txt'>http://www.ietf.org/rfc/rfc4346.txt</a>",

        "RFC4648":
        "S. Josefsson, <a href='http://www.ietf.org/rfc/rfc4648.txt'><cite>The Base16, Base32, and Base64 Data Encodings (RFC 4648)</cite></a>, IETF, October 2006, URL: <a href='http://www.ietf.org/rfc/rfc4648.txt'>http://www.ietf.org/rfc/rfc4648.txt</a>",

        "RFC5056":
        "N. Williams, <a href='http://www.ietf.org/rfc/rfc5056.txt'><cite>On the Use of Channel Bindings to Secure Channels (RFC 5056)</cite></a>, IETF, November 2007, URL: <a href='http://www.ietf.org/rfc/rfc5056.txt'>http://www.ietf.org/rfc/rfc5056.txt</a>",
        "RFC5246":
        "T. Dierks, E. Rescorla, <a href='http://www.ietf.org/rfc/rfc5246.txt'><cite>The Transport Layer Security (TLS) Protocol</cite></a>, IETF, August 2008, URL: <a href='http://www.ietf.org/rfc/rfc5246.txt'>http://www.ietf.org/rfc/rfc5246.txt</a>",

        "RFC5280":
        "D. Cooper, S. Santesson, s. Farrell, S.Boeyen, R. Housley, W. Polk; <a href='http://www.ietf.org/rfc/rfc5280.txt'><cite>Internet X.509 Public Key Infrastructure Certificate and Certificate Revocation List (CRL) Profile</cite></a>, IETF, May 2008, URL: <a href='http://www.ietf.org/rfc/rfc5280.txt'>http://www.ietf.org/rfc/rfc5280.txt</a>",

        "RFC5849":
        "E. Hammer-Lahav, <a href='http://www.ietf.org/rfc/rfc5849.txt'><cite>The OAuth 1.0 Protocol (RFC 5849)</cite></a>, IETF, April 2010, URL: <a href='http://www.ietf.org/rfc/rfc5849.txt'>http://www.ietf.org/rfc/rfc5849.txt</a>",

        "RFC5929":
        "J. Altman, N. Williams, L. Zhu, <a href='http://www.ietf.org/rfc/rfc5929.txt'><cite>Channel Bindings for TLS (RFC 5929)</cite></a>, IETF, July 2010, URL: <a href='http://www.ietf.org/rfc/rfc5929.txt'>http://www.ietf.org/rfc/rfc5929.txt</a>",

        "RFC6125":
        "P. Saint-Andre, J. Hodges, <a href='http://www.ietf.org/rfc/rfc6125.txt'><cite>Representation and Verification of Domain-Based Application Service Identity within Internet Public Key Infrastructure Using X.509 (PKIX) Certificates in the Context of Transport Layer Security (TLS) (RFC 6125)</cite></a>, IETF, March 2011, URL: <a href='http://www.ietf.org/rfc/rfc6125.txt'>http://www.ietf.org/rfc/rfc6125.txt</a>",

        "RFC6234":
        "D. Eastlake 3rd, T. Hansen, <a href='http://www.ietf.org/rfc/rfc6234.txt'><cite>US Secure Hash Algorithms (SHA and SHA-based HMAC and HKDF) (RFC 6234)</cite></a>, IETF, May 2011, URL: <a href='http://www.ietf.org/rfc/rfc6234.txt'>http://www.ietf.org/rfc/rfc6234.txt</a>",

        "RFC6287":
        "D. M'Raihi, J. Rydell, S. Bajaj, S. Machani, D. Naccache, <a href='http://www.ietf.org/rfc/rfc6287.txt'><cite>OCRA: OATH Challenge-Response Algorithm (RFC 6287)</cite></a>, IETF, June 2011, URL: <a href='http://www.ietf.org/rfc/rfc6287.txt'>http://www.ietf.org/rfc/rfc6287.txt</a>",

        "RFC6454":
        "A. Barth, <a href='http://www.ietf.org/rfc/rfc6454.txt'><cite>The Web Origin Concept (RFC 6454)</cite></a>, IETF, June 2011, URL: <a href='http://www.ietf.org/rfc/rfc6454.txt'>http://www.ietf.org/rfc/rfc6454.txt</a>",

        "RFC6749":
        "D. Hardt, Ed., <a href='http://www.ietf.org/rfc/rfc6749.txt'><cite>The OAuth 2.0 Authorization Framework (RFC 6749)</cite></a>, IETF, October 2012, URL: <a href='http://www.ietf.org/rfc/rfc6749.txt'>http://www.ietf.org/rfc/rfc6749.txt</a>",

        "RFC6979":
        "T. Pornin, <a href='http://www.ietf.org/rfc/rfc6979.txt'><cite>Deterministic Usage of the Digital Signature Algorithm (DSA) and Elliptic Curve Digital Signature Algorithm (ECDSA) (RFC6979)</cite></a>, IETF, August 2013, URL: <a href='http://www.ietf.org/rfc/rfc6979.txt'>http://www.ietf.org/rfc/rfc6979.txt</a>",

        "RFC7515":
        "M. Jones, J. Bradley, N. Sakimura, <a href='http://www.ietf.org/rfc/rfc7515.txt'><cite>JSON Web Signature (JWS) (RFC7515)</cite></a>, IETF, May 2015, URL: <a href='http://www.ietf.org/rfc/rfc7515.txt'>http://www.ietf.org/rfc/rfc7515.txt</a>",

        "SAML11":
        "E. Maler, P. Mishra and R. Philpott, <a href='https://www.oasis-open.org/standards#samlv1.1'><cite>The Security Assertion Markup Language (SAML) v1.1</cite></a>. OASIS, October 2003, URL: <a href='https://www.oasis-open.org/standards#samlv1.1'>https://www.oasis-open.org/standards#samlv1.1</a>",

        "SAML2":
        "S. Cantor, J. Kemp, R. Philpott, iE. Maler, <a href='https://docs.oasis-open.org/security/saml/v2.0/saml-core-2.0-os.pdf'><cite>Assertions and Protocols for the OASIS Security Assertion Markup Language (SAML) V2.0</cite></a>. OASIS, March 2005, URL: <a href='https://http://docs.oasis-open.org/security/saml/v2.0/'>http://docs.oasis-open.org/security/saml/v2.0/</a>",


        "SEC1":
        "Standards for Efficient Cryptography Group (SECG), <a href='http://secg.org/download/aid-780/sec1-v2.pdf'><cite>SEC1: Elliptic Curve Cryptography</cite></a>, Version 2.0, September 2000.",

        "SecureElement":
        "<a href='https://www.globalplatform.org/specifications.asp'><cite>GlobalPlatform Card Specifications</cite></a> GlobalPlatform. Accessed March 2014. URL: <a href='https://www.globalplatform.org/specifications.asp'>https://www.globalplatform.org/specifications.asp</a>",

        "SHEFFER-TLS":
        "Y. Sheffer, R. Holz, P. Saint-Andre <a href='https://tools.ietf.org/html/draft-sheffer-tls-bcp'><cite>Recommendations for Secure Use of TLS and DTLS</cite></a>. Internet-Draft (Work in progress.) URL: <a href='https://tools.ietf.org/html/draft-sheffer-tls-bcp'>https://tools.ietf.org/html/draft-sheffer-tls-bcp</a>",
        
        
        "OSCCA-SM2": {
            date: "December 2010",
            publisher: "Office of the State Commercial Cryptography Administration (China)",
            id: "OSCCA-SM2",
            title: "SM2: Public Key Cryptographic Algorithm SM2 Based on Elliptic Curves: Part 1: General",
            href: "http://www.oscca.gov.cn/UpFile/2010122214822692.pdf"
        },
        
        "OSCCA-SM2-curve-param": {
            date: "December 2010",
            publisher: "Office of the State Commercial Cryptography Administration (China)",
            id: "OSCCA-SM2-curve-param",
            title: "SM2: Elliptic Curve Public-Key Cryptography Algorithm: Recommended Curve Parameters",
            href: "http://www.oscca.gov.cn/UpFile/2010122214836668.pdf"
        },
        
         "OSCCA-SM3": {
            date: "December 2010",
            publisher: "Office of the State Commercial Cryptography Administration (China)",
            id: "OSCCA-SM3",
            title: "SM3 Cryptographic Hash Algorithm",
            href: "http://www.oscca.gov.cn/UpFile/20101222141857786.pdf"
        },


        "SOP":
        "<a href='https://developer.mozilla.org/en-US/docs/Web/JavaScript/Same_origin_policy_for_JavaScript'><cite>Same Origin Policy for JavaScript</cite></a>. Mozilla Developer Network, January 2014 URL: <a href='https://developer.mozilla.org/en-US/docs/Web/JavaScript/Same_origin_policy_for_JavaScript'>https://developer.mozilla.org/en-US/docs/Web/JavaScript/Same_origin_policy_for_JavaScript</a>",

        "SP800-38B":
        "M. Dworkin, <a href='http://dx.doi.org/10.6028/NIST.SP.800-38B'><cite>NIST Special Publication 800-38B: Recommendation for Block Cipher Modes of Operation: The CMAC Mode for Authentication</cite></a>. National Institute of Standards and Technology, May 2005, URL: <a href='http://dx.doi.org/10.6028/NIST.SP.800-38B'>http://dx.doi.org/10.6028/NIST.SP.800-38B</a>",

        "SP800-38C":
        "M. Dworkin, <a href='http://csrc.nist.gov/publications/nistpubs/800-38C/SP800-38C_updated-July20_2007.pdf'><cite>NIST Special Publication 800-38C: Recommendation for Block Cipher Modes of Operation: The CCM Mode for Authentication and Confidentiality</cite></a>. National Institute of Standards and Technology, July 2007, URL: <a href='http://csrc.nist.gov/publications/nistpubs/800-38C/SP800-38C_updated-July20_2007.pdf'>http://csrc.nist.gov/publications/nistpubs/800-38C/SP800-38C_updated-July20_2007.pdf</a>",

        "SP800-38F":
        "M. Dworkin, <a href='http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf'><cite>NIST Special Publication 800-38F: Recommendation for Block Cipher Modes of Operation: Methods for Key Wrapping</cite></a>. National Institute of Standards and Technology, December 2012, URL: <a href='http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf'>http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf</a>",

        "SP800-63":
        "W. Burr, D. Dodson, E. Newton, R. Perlner, W.T. Polk, S. Gupta and E. Nabbus, <a href='http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-63-2.pdf'><cite>NIST Special Publication 800-63-2: Electronic Authentication Guideline</cite></a>. National Institute of Standards and Technology, August 2013, URL: <a href='http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-63-2.pdf'>http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-63-2.pdf</a>",

        "SP800-63-1":
        "W. Burr, D. Dodson, E. Newton, R. Perlner, W.T. Polk, S. Gupta and E. Nabbus, <a href='http://csrc.nist.gov/publications/nistpubs/800-63-1/SP-800-63-1.pdf'><cite>NIST Special Publication 800-63-1: Electronic Authentication Guideline</cite></a>. National Institute of Standards and Technology, December 2011, URL: <a href='http://csrc.nist.gov/publications/nistpubs/800-63-1/SP-800-63-1.pdf'>http://csrc.nist.gov/publications/nistpubs/800-63-1/SP-800-63-1.pdf</a>",

        "SP800-63-2":
        "W. Burr, D. Dodson, E. Newton, R. Perlner, W.T. Polk, S. Gupta and E. Nabbus, <a href='http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-63-2.pdf'><cite>NIST Special Publication 800-63-2: Electronic Authentication Guideline</cite></a>. National Institute of Standards and Technology, September 2014, URL: <a href='http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-63-2.pdf'>http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-63-2.pdf</a>",

        "SP800-90ar1":
        "Elaine Barker and John Kelsey, <a href='http://dx.doi.org/10.6028/NIST.SP.800-90Ar1'><cite>NIST Special Publication 800-90a: Recommendation for Random Number Generation Using Deterministic Random Bit Generators</cite></a>. National Institute of Standards and Technology, August 2012, URL: <a href='http://dx.doi.org/10.6028/NIST.SP.800-90Ar1'>http://dx.doi.org/10.6028/NIST.SP.800-90Ar1</a>",

        "SP800-90b":
        "Elaine Barker and John Kelsey, <a href='http://csrc.nist.gov/publications/drafts/800-90/draft-sp800-90b.pdf'><cite>NIST Special Publication 800-90b: Recommendation for the Entropy Sources Used for Random Bit Generation</cite></a>. National Institute of Standards and Technology, April 2016, URL: <a href='http://csrc.nist.gov/publications/drafts/800-90/draft-sp800-90b.pdf'>http://csrc.nist.gov/publications/drafts/800-90/draft-sp800-90b.pdf</a>",

        "SP800-90C":
        "Elaine Barker and John Kelsey, <a href='http://csrc.nist.gov/publications/drafts/800-90/sp800_90c_second_draft.pdf'><cite>NIST Special Publication 800-90C: Recommendation for Random Bit Generator (RBG) Constructions</cite></a>. National Institute of Standards and Technology, August 2012, URL: <a href='http://csrc.nist.gov/publications/drafts/800-90/sp800_90c_second_draft.pdf'>http://csrc.nist.gov/publications/drafts/800-90/sp800_90c_second_draft.pdf</a>",

        "SP800-107r1":
        "Quynh Dang, <a href='http://csrc.nist.gov/publications/nistpubs/800-107-rev1/sp800-107-rev1.pdf'><cite>NIST Special Publication 800-107: Recommendation for Applications Using Approved Hash Algorithms</cite></a>. National Institute of Standards and Technology, August 2012, URL: <a href='http://csrc.nist.gov/publications/nistpubs/800-107-rev1/sp800-107-rev1.pdf'>http://csrc.nist.gov/publications/nistpubs/800-107-rev1/sp800-107-rev1.pdf</a>",

        "SP800-108":
        "Lily Chen, <a href='http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-108.pdf'><cite>NIST Special Publication 800-107: Recommendation for Key Derivation Using Pseudorandom Functions</cite></a>. National Institute of Standards and Technology, October 2009, URL: <a href='http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-108.pdf'>http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-108.pdf</a>",

        "SP800-131A":
        "E. Barker, A. Roginsky, <a href='http://csrc.nist.gov/publications/nistpubs/800-131A/sp800-131A.pdf'><cite>NIST Special Publication 800-131A: Transitions: Recommendation for Transitioning the Use of Cryptographic Algorithms and Key Lengths</cite></a>. National Institute of Standards and Technology, January 2011, URL: <a href='http://csrc.nist.gov/publications/nistpubs/800-131A/sp800-131A.pdf'>http://csrc.nist.gov/publications/nistpubs/800-131A/sp800-131A.pdf</a>",

	"SP800-132":
        "Meltem Sönmez Turan, Elaine Barker, William Burr, and Lily Chen, <a href='http://csrc.nist.gov/publications/nistpubs/800-132/nist-sp800-132.pdf'><cite>NIST Special Publication 800-132: Transitions: Recommendation for Password-Based Key Derivation</cite></a>. National Institute of Standards and Technology, December 2010, URL: <a href='http://csrc.nist.gov/publications/nistpubs/800-132/nist-sp800-132.pdf'>http://csrc.nist.gov/publications/nistpubs/800-132/nist-sp800-132.pdf</a>",

        "TEE":
        "<a href='https://www.globalplatform.org/specifications.asp'><cite>GlobalPlatform Trusted Execution Environment Specifications</cite></a> GlobalPlatform. Accessed March 2014. URL: <a href='https://www.globalplatform.org/specifications.asp'>https://www.globalplatform.org/specifications.asp</a>",

        "TEESecureDisplay":
        "<a href='https://www.globalplatform.org/specifications.asp'><cite>GlobalPlatform Trusted User Interface API Specifications</cite></a> GlobalPlatform. Accessed March 2014. URL: <a href='https://www.globalplatform.org/specifications.asp'>https://www.globalplatform.org/specifications.asp</a>",

        "TLSAUTH": {
            authors: [ "Karthikeyan Bhargavan", "Antoine Delignat-Lavaud", "Cédric Fournet", "Alfredo Pironti", "Pierre-Yves Strub"],
            date: "February 2014",
            title: "Triple Handshakes and Cookie Cutters: Breaking and Fixing Authentication over TLS",
            href: "https://secure-resumption.com/tlsauth.pdf"
        },
        
        "TLS13draft02":
        "T. Dierks, E. Rescorla, <a href='https://tools.ietf.org/html/draft-ietf-tls-tls13-02'><cite>The Transport Layer Security (TLD) Protocol Version 1.3 (draft 02)</cite></a>, IETF, July, 2014, URL: <a href='https://tools.ietf.org/html/draft-ietf-tls-tls13-02'>https://tools.ietf.org/html/draft-ietf-tls-tls13-02</a>",

        "TPM":
        "<a href='http://www.trustedcomputinggroup.org/resources/tpm_main_specification'><cite>TPM Main Specification</cite></a> Trusted Computing Group. Accessed March 2014. URL: <a href='http://www.trustedcomputinggroup.org/resources/tpm_main_specification'>http://www.trustedcomputinggroup.org/resources/tpm_main_specification</a>",

        "TPMv2":
        "<a href='https://trustedcomputinggroup.org/tpm-library-specification/'><cite>TPM Library Specification</cite></a> Trusted Computing Group. Accessed February 2017. URL: <a href='https://trustedcomputinggroup.org/tpm-library-specification/'>https://trustedcomputinggroup.org/tpm-library-specification/</a>",

        "TR-03116-4":
        "<a href='https://www.bsi.bund.de/SharedDocs/Downloads/DE/BSI/Publikationen/TechnischeRichtlinien/TR03116/BSI-TR-03116-4.pdf'><cite>Technische Richtlinie TR-03116-4: eCard-Projekte der Bundesregierung: Teil 4 – Vorgaben für Kommunikationsverfahren im eGovernment</cite></a>. Bundesamt für Sicherheit in der Informationstechnik, 2013, URL: <a href='https://www.bsi.bund.de/SharedDocs/Downloads/DE/BSI/Publikationen/TechnischeRichtlinien/TR03116/BSI-TR-03116-4.pdf'>https://www.bsi.bund.de/SharedDocs/Downloads/DE/BSI/Publikationen/TechnischeRichtlinien/TR03116/BSI-TR-03116-4.pdf</a>",

        "TPMv1-2-Part1":
        "Trusted Computing Group, <a href='http://www.trustedcomputinggroup.org/files/static_page_files/72C26AB5-1A4B-B294-D002BC0B8C062FF6/TPM%20Main-Part%201%20Design%20Principles_v1.2_rev116_01032011.pdf'><cite>TPM 1.2 Part 1: Design Principles</cite></a>, URL: <a href='http://www.trustedcomputinggroup.org/files/static_page_files/72C26AB5-1A4B-B294-D002BC0B8C062FF6/TPM%20Main-Part%201%20Design%20Principles_v1.2_rev116_01032011.pdf'>http://www.trustedcomputinggroup.org/files/static_page_files/72C26AB5-1A4B-B294-D002BC0B8C062FF6/TPM%20Main-Part%201%20Design%20Principles_v1.2_rev116_01032011.pdf</a>",

        "TPMv1-2-Part2":
        "Trusted Computing Group, <a href='http://www.trustedcomputinggroup.org/files/static_page_files/E55A303C-1A4B-B294-D066E66A82DAE27D/TPM%20Main-Part%202%20TPM%20Structures_v1.2_rev116_01032011.pdf'><cite>TPM 1.2 Part 2: Structures</cite></a>, URL: <a href='http://www.trustedcomputinggroup.org/files/static_page_files/E55A303C-1A4B-B294-D066E66A82DAE27D/TPM%20Main-Part%202%20TPM%20Structures_v1.2_rev116_01032011.pdf'>http://www.trustedcomputinggroup.org/files/static_page_files/E55A303C-1A4B-B294-D066E66A82DAE27D/TPM%20Main-Part%202%20TPM%20Structures_v1.2_rev116_01032011.pdf</a>",

        "TPMv1-2-Credential-Profiles":
        "Trusted Computing Group, <a href='http://www.trustedcomputinggroup.org/files/static_page_files/A55529C5-1A4B-B294-D0A5A400E1EDE13A/Credential_Profiles_V1.2_Level2_Revision8.pdf'><cite>TPM 1.2 Credential Profiles</cite></a>, URL: <a href='http://www.trustedcomputinggroup.org/files/static_page_files/A55529C5-1A4B-B294-D0A5A400E1EDE13A/Credential_Profiles_V1.2_Level2_Revision8.pdf'>http://www.trustedcomputinggroup.org/files/static_page_files/A55529C5-1A4B-B294-D0A5A400E1EDE13A/Credential_Profiles_V1.2_Level2_Revision8.pdf</a>",

        "TPMv2-Part1":
        "Trusted Computing Group, <a href='http://www.trustedcomputinggroup.org/files/static_page_files/8C56AE3E-1A4B-B294-D0F43097156A55D8/TPM%20Rev%202.0%20Part%201%20-%20Architecture%2001.16.pdf'><cite>Trusted Platform Module Library, Part 1: Architecture</cite></a>, URL: <a href='http://www.trustedcomputinggroup.org/files/static_page_files/8C56AE3E-1A4B-B294-D0F43097156A55D8/TPM%20Rev%202.0%20Part%201%20-%20Architecture%2001.16.pdf'>http://www.trustedcomputinggroup.org/files/static_page_files/8C56AE3E-1A4B-B294-D0F43097156A55D8/TPM%20Rev%202.0%20Part%201%20-%20Architecture%2001.16.pdf</a>",

        "TPMv2-Part2":
        "Trusted Computing Group, <a href='http://www.trustedcomputinggroup.org/files/static_page_files/8C583202-1A4B-B294-D0469592DB10A6CD/TPM%20Rev%202.0%20Part%202%20-%20Structures%2001.16.pdf'><cite>Trusted Platform Module Library, Part 2: Structures</cite></a>, URL: <a href='http://www.trustedcomputinggroup.org/files/static_page_files/8C583202-1A4B-B294-D0469592DB10A6CD/TPM%20Rev%202.0%20Part%202%20-%20Structures%2001.16.pdf'>http://www.trustedcomputinggroup.org/files/static_page_files/8C583202-1A4B-B294-D0469592DB10A6CD/TPM%20Rev%202.0%20Part%202%20-%20Structures%2001.16.pdf</a>",

        "TPMv2-Part3":
        "Trusted Computing Group, <a href='http://www.trustedcomputinggroup.org/files/static_page_files/8C68ADA8-1A4B-B294-D0FC06D3773F7DAA/TPM%20Rev%202.0%20Part%203%20-%20Commands%2001.16-code.pdf'><cite>Trusted Platform Module Library, Part 3: Commands</cite></a>, URL: <a href='http://www.trustedcomputinggroup.org/files/static_page_files/8C68ADA8-1A4B-B294-D0FC06D3773F7DAA/TPM%20Rev%202.0%20Part%203%20-%20Commands%2001.16-code.pdf'>http://www.trustedcomputinggroup.org/files/static_page_files/8C68ADA8-1A4B-B294-D0FC06D3773F7DAA/TPM%20Rev%202.0%20Part%203%20-%20Commands%2001.16-code.pdf</a>",

        "TPMv2-Part4":
        "Trusted Computing Group, <a href='http://www.trustedcomputinggroup.org/files/static_page_files/8C6CABBC-1A4B-B294-D0DA8CE1B452CAB4/TPM%20Rev%202.0%20Part%204%20-%20Supporting%20Routines%2001.16-code.pdf'><cite>Trusted Platform Module Library, Part 4: Supporting Routines</cite></a>, URL: <a href='http://www.trustedcomputinggroup.org/files/static_page_files/8C6CABBC-1A4B-B294-D0DA8CE1B452CAB4/TPM%20Rev%202.0%20Part%204%20-%20Supporting%20Routines%2001.16-code.pdf'>http://www.trustedcomputinggroup.org/files/static_page_files/8C6CABBC-1A4B-B294-D0DA8CE1B452CAB4/TPM%20Rev%202.0%20Part%204%20-%20Supporting%20Routines%2001.16-code.pdf</a>",

        "TPMv2-EK-Profile":
        "Trusted Computing Group, <a href='http://www.trustedcomputinggroup.org/files/static_page_files/DCD56924-1A4B-B294-D0CEF64E80CEE01E/Credential_Profile_EK_V2.0_R12_PublicReview.pdf'><cite>TCG EK Credential Profile</cite></a>, URL: <a href='http://www.trustedcomputinggroup.org/files/static_page_files/DCD56924-1A4B-B294-D0CEF64E80CEE01E/Credential_Profile_EK_V2.0_R12_PublicReview.pdf'>http://www.trustedcomputinggroup.org/files/static_page_files/DCD56924-1A4B-B294-D0CEF64E80CEE01E/Credential_Profile_EK_V2.0_R12_PublicReview.pdf</a>",

        "TR-03116-4" :
        "<a href='https://www.bsi.bund.de/SharedDocs/Downloads/DE/BSI/Publikationen/TechnischeRichtlinien/TR03116/BSI-TR-03116-4.pdf'><cite>Technische Richtlinie TR-03116-4: eCard-Projekte der Bundesregierung: Teil 4 – Vorgaben für Kommunikationsverfahren im eGovernment</cite></a>. Bundesamt für Sicherheit in der Informationstechnik, 2013, URL: <a href='https://www.bsi.bund.de/SharedDocs/Downloads/DE/BSI/Publikationen/TechnischeRichtlinien/TR03116/BSI-TR-03116-4.pdf'>https://www.bsi.bund.de/SharedDocs/Downloads/DE/BSI/Publikationen/TechnischeRichtlinien/TR03116/BSI-TR-03116-4.pdf</a>",

        "WebCrypto": {
            authors: [ "R. Sleevi", "M. Watson" ],
            date: "11 December 2014",
            publisher: "W3C",
            status: "W3C Candidate Recommendation",
            id: "WebCrypto",
            title: "Web Cryptography API",
            href: "http://www.w3.org/TR/WebCryptoAPI/"
        },      

        "XYZF-2014":
        "Li Xi, Kang Yang, Zhenfeng Zhang, and Dengguo Feng, <cite>DAA-Related APIs in TPM 2.0 Revisited</cite>, 2014, in T. Holz and S. Ioannidis (Eds.): TRUST 2014, LNCS 8564, pp. 1–18, 2014.",

        "GlobalPlatform-Card":
        "Secure Channel Protocol 03 – GlobalPlatform Card Specification v.2.2 – Amendment D",
 
        "GlobalPlatform-TEE-SE":
        "TEE Secure Element API Specification v1.0 | GPD_SPE_024",
 
        "ETSI-Secure-Channel":
        "ETSI TS 102 484 Smart Cards; Secure channel between a UICC and an end-point terminal",
 
        "ISOIEC-19794":
        "ISO 19794: Information technology - Biometric data interchange formats",
 
        "ISOIEC-7816-4-2013":
        "ISO 7816-4: Identification cards – Integrated circuit cards; Part 4 : Organization, security and commands for interchange",

        "ISOIEC-7816-5":
        "ISO 7816-5: Identification cards - Integrated circuit cards - Part 5: Registration of application providers",

        // This is the Editor's Draft including definition of "required" for dictionary members.  
        // The newest "release" of [[WebIDL]] is included in https://specref.jit.su/bibrefs?refs (is automatically loaded!)
        "WebIDL-ED":
        "Cameron McCormack, <a href='http://heycam.github.io/webidl/'><cite>Web IDL</cite></a>, W3C.  Editor's Draft 13 November 2014.  URL: <a href='http://heycam.github.io/webidl/'>http://heycam.github.io/webidl/</a>",

        "Boilerplate":
        "J. Doe <a href=''><cite>Title</cite></a>. Publisher URL: <a href=''></a>",
        
        // the below just stuck in here for now, need to be cleaned up and properly added to 
        // above in proper order. =JeffH 12-Feb-2015
        
         "TPM2LIB": {
            title: "Trusted Platform Module Library Specification, Family \"2.0\", Level 00, Revision 01.16 - October 2014"
          , href: "http://www.trustedcomputinggroup.org/resources/tpm_library_specification"
         },
         "SE-API": {
            title: "Secure Element API"
         ,  href: "https://opoto.github.io/secure-element/"
         },
         "CredMgmt": {
            title: "Credential Management"
         ,  href: "http://w3c.github.io/webappsec/specs/credentialmanagement/"
         },
         "U2FWebCryp": {
            title: "WebCrypto API extension for U2F"
         ,  href: "https://docs.google.com/a/chromium.org/document/d/1EEFAMIYNqZ7XHCntghD9meJwKgNOX7ZN-jl5LJQxOVQ"
         },
         "PlatformKeys": {
            title: "chrome.enterprise.platformKeys"
         ,  href: "https://developer.chrome.com/extensions/enterprise_platformKeys"
         },
         "StructuredCloning": {
            title: "Safe passing of structured data"
         ,  href: "https://html.spec.whatwg.org/#safe-passing-of-structured-data"
         },
         "FIDOSignatureFormat": {
            title: "FIDO 2.0: Signature format"
         ,  href: "https://fidoalliance.org/specs/fido-v2.0-ps-20150904/fido-signature-format-v2.0-ps-20150904.html"
         },
         "FIDOKeyAttestation": {
            title: "FIDO 2.0: Key attestation format"
         ,  href: "https://fidoalliance.org/specs/fido-v2.0-ps-20150904/fido-key-attestation-v2.0-ps-20150904.html"
         },
         "FIDOWebApi": {
            title: "FIDO 2.0: Web API for accessing FIDO 2.0 credentials"
         ,  href: "https://fidoalliance.org/specs/fido-v2.0-ps-20150904/fido-web-api-v2.0-ps-20150904.html"
         },
         "FIDOCTAP": {
            title: "FIDO 2.0: Client To Authenticator Protocol"
         ,  href: "fido-client-to-authenticator-protocol.html"
         },
         "FIDOPlatformApiReqs": {
           title: "FIDO 2.0: Requirements for Native Platforms",
           href: "fido-platform-api-reqs.html"
         },
         "IndexedDB": {
            title: "Indexed Database API"
         ,  href: "http://www.w3.org/TR/IndexedDB/"
         },
         "PUBLICSUFFIXWEB" : {
           title: "Public Suffix List",
           href: "https://publicsuffix.org/"
         }        
    };

})();
